Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 881812 - WSRP - deregistered consumer is registered on reload (without refresh/register)
Summary: WSRP - deregistered consumer is registered on reload (without refresh/register)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: claprun@redhat.com
QA Contact: vramik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-29 15:59 UTC by Michal Vanco
Modified: 2013-09-02 05:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previous versions of WSRP required consumers to be independently registered. WSRP Consumers are now automatically registered if the proper registration data is available when they are reloaded from the WSRP administration interface.
Clone Of:
Environment:
Last Closed: 2012-12-19 10:12:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Vanco 2012-11-29 15:59:50 UTC
Description of problem:
If you deregister consumer and click "Reload consumers" - consumer is automatically registered again.
This is not expected behavior, registration should happen only on refresh or Register button.

Version-Release number of selected component (if applicable):
JPP 6.0.0 ER03

How reproducible:
always

Steps to Reproduce:
1. go to wsrp admin portlet
2. add some consumer which requires registration (self can be used as well)
3. click deregister -> consumer is deregistered
4. go back to consumer list & click reload -> consumer is registered

Comment 1 claprun@redhat.com 2012-11-29 16:16:32 UTC
Not a regression and really not a big deal. I move to ignore this issue.


Note You need to log in before you can comment on or make changes to this bug.